org.apache.tinkerpop.gremlin.structure.io.graphson

## Class TinkerPopJacksonModule

- java.lang.Object
- - SimpleModule
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.TinkerPopJacksonModule

- Direct Known Subclasses:
    CustomId.CustomIdTinkerPopJacksonModuleV2d0, CustomId.CustomIdTinkerPopJacksonModuleV3d0, GraphSONXModuleV2d0, GraphSONXModuleV3d0, ToyIoRegistry.ToyModule

      public abstract class TinkerPopJacksonModule
      extends SimpleModule

  A `SimpleModule` extension that does the necessary work to make the automatic typed deserialization without full canonical class names work. Users of custom modules with the GraphSONMapper that want their objects to be deserialized automatically by the mapper, must extend this class with their module. It is the only required step. Using this basis module allows the serialization and deserialization of typed objects without having the whole canonical name of the serialized classes included in the Json payload. This is also necessary because Java does not provide an agnostic way to search in a classpath a find a class by its simple name. Although that could be done with an external library, later if we deem it necessary.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerPopJacksonModule(String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<Class,String>` | `getTypeDefinitions()`
    `abstract String` | `getTypeNamespace()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TinkerPopJacksonModule

          public TinkerPopJacksonModule(String name)

  - ### Method Detail

    - #### getTypeDefinitions

          public abstract Map<Class,String> getTypeDefinitions()

    - #### getTypeNamespace

          public abstract String getTypeNamespace()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.